Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nextapp.echo2.app
Class FillImage

    java.lang.Object
      nextapp.echo2.app.FillImage

All Implemented Interfaces:
  java.io.Serializable

    public class FillImage

extends java.lang.Object
implements java.io.Serializable

Describes how an image should 'fill' a particular component or region of the user interface. Includes information about the image itself, its positioning, repetition, and scrolling.

See Also:
  Serialized Form

Field Summary
`static int` | `NO_REPEAT`
`static int` | `REPEAT`
`static int` | `REPEAT_HORIZONTAL`
`static int` | `REPEAT_VERTICAL`

Constructor Summary
`FillImage(ImageReference image)` Creates a new `FillImage` with no horizontal/vertical offset that scrolls with content and repeats both horizontally and vertically.
`FillImage(ImageReference image, Extent horizontalOffset, Extent verticalOffset, int repeat)` Creates a new `FillImage`.

Method Summary
`boolean` | `equals(java.lang.Object o)`
`Extent` | `getHorizontalOffset()` Returns the horizontal offset of the fill image.
`ImageReference` | `getImage()` Returns the fill image.
`int` | `getRepeat()` Returns the repetition mode of the image.
`Extent` | `getVerticalOffset()` Returns the vertical offset of the fill image.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NO_REPEAT

    public static final int NO_REPEAT

See Also:
  Constant Field Values

### REPEAT_HORIZONTAL

    public static final int REPEAT_HORIZONTAL

See Also:
  Constant Field Values

### REPEAT_VERTICAL

    public static final int REPEAT_VERTICAL

See Also:
  Constant Field Values

### REPEAT

    public static final int REPEAT

See Also:
  Constant Field Values

Constructor Detail

### FillImage

    public FillImage(ImageReference image)

  Creates a new `FillImage` with no horizontal/vertical offset that scrolls with content and repeats both horizontally and vertically.

  Parameters:
    `image` - the `ImageReference` to be displayed in the fill

### FillImage

    public FillImage(ImageReference image,
                     Extent horizontalOffset,
                     Extent verticalOffset,
                     int repeat)

  Creates a new `FillImage`.

  Parameters:
    `image` - the `ImageReference` to be displayed in the fill
    `horizontalOffset` - the horizontal offset of the fill image: Positive values indicate an offset from the left side of the region. Negative values indicate an offset from the right side of the region. Both fixed and percentage units are supported.
    `verticalOffset` - the vertical offset of the fill image: Positive values indicate an offset from the top of the region. Negative values indicate an offset from the bottom of the region. Both fixed and percentage units are supported.
    `repeat` - the repeat mode of the image, one of the following values:
    - `NO_REPEAT`
    - `REPEAT_HORIZONTAL`
    - `REPEAT_VERTICAL`
    - `REPEAT` (the default)

Method Detail

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`
  See Also:
    `Object.equals(java.lang.Object)`

### getHorizontalOffset

    public Extent getHorizontalOffset()

  Returns the horizontal offset of the fill image. Positive values indicate an offset from the left side of the region. Negative values indicate an offset from the right side of the region.

  Returns:
    the horizontal offset

### getImage

    public ImageReference getImage()

  Returns the fill image.

  Returns:
    the fill image

### getRepeat

    public int getRepeat()

  Returns the repetition mode of the image.

  Returns:
    the repetition mode, one of the following values:
    - `NO_REPEAT`
    - `REPEAT_HORIZONTAL`
    - `REPEAT_VERTICAL`
    - `REPEAT` (the default)

### getVerticalOffset

    public Extent getVerticalOffset()

  Returns the vertical offset of the fill image. Positive values indicate an offset from the top of the region. Negative values indicate an offset from the bottom of the region.

  Returns:
    the vertical offset

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD